## Installing Dependencies
Use virtual environment tools (e.g miniconda) to install packages and run experiments\
python>=3.6\
[pytorch](https://pytorch.org)

## Code Organization

The code is organized as follows:\
- bpp.py (CWBPP algorithm for learning with various inductive signals)
- run_ner.py (BERT for NER)
- run_squad.py (BERT for QA)


## Reproducing experiments
To reproduce the experiments for learning with various inductive signals:
```
sh run_experiments.sh
```

To reproduce the experiments for cross-domain signals:
```
sh run_xdomain_ner_experiments.sh
sh run_xdomain_qa_experiments.sh
```

